/**
 * @author bianlanzhou
 * @since 2024-09-20
 * @desc 数据class定义
 */

/** 接出API数据项 */
type EgressApiItem = {
    /** id **/
    id: any,
    /** API编码 */
    apiCode: string,
    /** API名称 */
    apiName: string,
    /** API类型 */
    apiType: string,
    /** 创建人 */
    createUsername: string,
    /** 创建时间 */
    gmtCreated: string,
    /** 负责人 */
    ownerUsername: string,
    /** 负责人 */
    techOwnerUserid: string,
    /** 状态 */
    status: string,
    /** 备注 */
    memo: string,
}



/** 创建API Modal属性 */
type UpsertApiModalFormProp = {
    /** @name 用于触发打开的 dom */
    trigger: JSX.Element;
    /** 回调函数 */
    callback: () => void;
    /** 数据 */
    data?: UpsertApiModalFormItem;
}

/** 创建API Modal属性项 */
type UpsertApiModalFormItem = {
    /** 主键 */
    id: string,
    /** API名称 */
    apiName: string,
    /** API编码 */
    apiCode: string,
    /** API类型 */
    apiType: string,
    /** 技术负责人ID */
    techOwnerUserid: string,
    /** 备注 */
    memo: string,
}

/** 函数对象 */
type FunctionObjectItem = {
    key: string;
    label: string,
    code: string;
    extParams?: string[];
}

/** API */
type Api = {
    /** 主键 */
    id: string,
    apiName: string,
    apiType: string,

}

/** API通道http配置 */
type ApiChannelHttpConfig = {
    method: string,
    url: string,
    header?: any[],
    path?: any[],
    query?: any[],
    body?: string,
}

/** 助贷API信息 */
type ApiLoan = {
    /** 是否撞库 */
    checkinto: boolean,
    /** 集成系统 */
    integrationSystem: string,
    /** 商户ID */
    merchantId: string,
}

/** 助贷API对接CMD */
type LoanApiIntegreationCmd = {
    /** API ID */
    apiId: string,
    /** 助贷相关信息 */
    apiLoanInfo: ApiLoan,
    /** 撞库配置通道配置 */
    checkinto: ApiChannelHttpConfig,
    /** 申请通道配置 */
    apply: ApiChannelHttpConfig,
}