import { ProForm, ProFormSelect, ProFormText, StepsForm } from '@ant-design/pro-components';
import React from 'react';

/**
 * @author bianlanzhou
 * @since 2024-09-24
 * @desc 业务信息
 */

/** BizInfoStepFormPage属性 */
type BizInfoStepFormPageProp = {
  formref: React.MutableRefObject<any>;
}
const BizInfoStepFormPage: React.FC<BizInfoStepFormPageProp> = (props) => {
  return (
    <StepsForm.StepForm<{
      name: string;
    }>
      name="business"
      title="业务信息"
      onFinish={async ({ name }) => {
        console.log(name);
        return true;
      }}
      formRef={props.formref}
      style={{ minHeight: '50vh' }}
    >
      <ProFormText name='tmp'
        wrapperCol={{ style: { display: 'none' } }}
      />
      <ProForm.Group >
        <ProFormSelect
          width="md"
          name="integrateType"
          label="集成标准"
          valueEnum={{
            us: '我方标准',
            organization: '机构标准',
          }}
          placeholder="请选择集成标准"
          required
        />
        <ProFormSelect
          width="md"
          name="integrateSystem"
          label="集成系统"
          valueEnum={{
            1: '我方通用API',
            2: '合作方CRM',
            3: '三方CRM(ec)',
            4: '三方CRM(庆鱼)',
            5: '三方CRM(锦蝶)',
            6: '三方CRM(融享客)',
            7: '三方CRM(鑫鹿)',
            8: '三方CRM(庆鱼2.0)',
            9: '惠融易客CRM',
            10: '三方CRM(享客达)',
            11: '三方CRM(庆鱼3.0)',
            12: '三方CRM(锦蝶V3)',
            13: '我方通用AES模式',
          }}
          placeholder="请选择集成标准"
          required
        />
      </ProForm.Group>
    </StepsForm.StepForm>
  );
}
export default BizInfoStepFormPage;