import { ProFormTextArea, StepsForm } from '@ant-design/pro-components';
import React, { useRef } from 'react';

import HttpClient from './http';
/**
 * @author bianlanzhou
 * @since 2024-09-24
 * @desc 配置信息
 */
type configInfoStepFormProp = {
  configtype: string,
}
const ConfigInfoStepFormPage: React.FC<configInfoStepFormProp> = (props) => {

  /** 引用 */
  const httpClientRef = useRef<HttpClient>(null);

  return (
    <StepsForm.StepForm<{
      name: string;
    }
    >
      name="config"
      title="配置信息"
      onFinish={async ({ }) => {
        return true;
      }}
      labelCol={{ span: 4 }}
      wrapperCol={{ span: 24, style: { marginBottom: '-12px', marginTop: '-5px' } }}
      grid
    >
      {
        props.configtype === 'customize' ?
          <ProFormTextArea
            name="config"
            label="API通道配置参数"
            wrapperCol={{
              style: { width: '40vw' }
            }}
            fieldProps={
              { rows: 8 }
            }
            placeholder="请输入配置参数"
          />
          : <HttpClient ref={httpClientRef} />
      }
    </StepsForm.StepForm>
  );
}

export default ConfigInfoStepFormPage;