import React from 'react';
import { EditableProTable, ProFormRadio, ProFormTextArea } from '@ant-design/pro-components';
import { Radio } from 'antd';


/**
 * @author bianlanzhou
 * @since 2022-07-23
 * @description api header
 */
class ApiBody extends React.Component {

  state = {
    type: 'raw',
    data: ''
  }

  /** 获取数据 */
  getData = () => {
    return this.state.data;
  }

  render() {
    /**
     * raw类型
     * @returns 
     */
    const renderRaw = () => {
      return (
        <ProFormTextArea
          fieldProps={{
            rows: 8,
            onChange: (element) => {
              this.setState({ "data": element.target.value })
            }
          }}
        />
      );
    }
    /**
     * none类型
     * @returns 
     */
    const renderNone = () => {
      return (
        <EditableProTable
          rowKey="id"
          scroll={{
            x: 960,
          }}
          name="bodyNoneTable"
          recordCreatorProps={false}
          toolBarRender={() => []}
          columns={[]}
        />
      )
    }
    return (
      <div>
        <ProFormRadio.Group
          name="contentType"
          options={[
            {
              label: 'none',
              value: 'none',
            },
            {
              label: 'raw',
              value: 'raw',
            }

          ]}
          width={'md'}
          fieldProps={{
            onChange: (e) => {
              this.setState({ "type": e.target.value })
            }
          }}
        />
        <div>
          {this.state.type === 'raw' ? renderRaw() : null}
          {this.state.type === 'none' ? renderNone() : null}
        </div>
      </div>
    )
  }
}

export default ApiBody;
