import { queryEgressApi } from '@/services/op-admin/gateway/egress';
import { ModalForm, ProFormSelect } from '@ant-design/pro-components';
import { message } from 'antd';
import React, { useState } from 'react';
import { history } from 'umi';

/**
 * @author bianlanzhou
 * @since 2024-11-04
 * @desc 创建通道modal窗口
 */
const CreateChannelModal: React.FC<CreateChannelFormModalProp> = (props) => {
  /** 接出API列表 */
  const [egressApiList, setEgressApiList] = useState([]);
  const handleRequestEgressApi = () => {
    return queryEgressApi().then((resp) => {
      setEgressApiList(resp.data);
      return resp.data;
    });
  }
  return (
    <ModalForm
      trigger={props.trigger}
      title="创建API通道"
      onFinish={
        async (value) => {
          let currentApi = null;
          egressApiList.forEach((item: any) => {
            if (item.id = value.apiId) {
              currentApi = item;
            }
          })
          if (currentApi === null) {
            message.error('');
            return;
          }
          if ((currentApi as EGRESS.Api).apiType === 'loan') {
            history.push(
              {
                pathname: '/ui/gateway/egress/loan-integration',
              },
              { id: value.apiId, from: '/ui/gateway/egress/channel' },
            )
          }
        }
      }
      layout='horizontal'
    >
      <ProFormSelect
        name="apiId"
        label="所属API名称"
        width="lg"
        request={handleRequestEgressApi}
        placeholder="请选择所属API"
        fieldProps={
          {
            fieldNames: {
              label: 'apiName',
              value: 'id'
            }
          }
        }
        rules={[
          {
            required: true,
            message: '请选择所属API',
          },
        ]}
      />
    </ModalForm >
  );
}
export default CreateChannelModal;