
import { upsertSmsPlatform } from '@/services/op-admin/message/sms';
import { ModalForm, ProFormText } from '@ant-design/pro-components';
import { message } from 'antd';
import React from 'react';

/**
 * @author bianlanzhou
 * @since 2024-11-07
 * @desc 更新/插入短信平台
 */
const UpsertSmsPlatformModalForm: React.FC<UpsertSmsPlatformModalFormProp> = (props) => {
  /** 提交方法 */
  const handleSubmit = (value: SMS.PlatformUpsertCmd) => {
    if (props.data) {
      value.id = props.data.id;
    }
    return upsertSmsPlatform(value).then(() => {
      message.success("操作成功!")
      props.callback();
      return true;
    }).catch((err) => {
      console.log(err)
      return false;
    });
  }
  return (
    <ModalForm<SMS.PlatformUpsertCmd>
      trigger={props.trigger}
      title="短信平台"
      onFinish={handleSubmit}
      initialValues={
        props.data
      }
    >
      <ProFormText
        width="md"
        name="platformName"
        label="平台名称"
        rules={[
          {
            required: true,
            message: '请填写平台名称',
          },
        ]}
        placeholder="请填写平台名称"
        required
      />
    </ModalForm >
  );
}
export default UpsertSmsPlatformModalForm;