import React from 'react';
import { ModalForm, ProForm, ProFormText } from '@ant-design/pro-components';
import { upsertSmsTemplate } from '@/services/op-admin/message/sms';
import { message } from 'antd';

/**
 * @author bianlanzhou
 * @since 2024-11-06
 * @desc 更新/插入短信模版
 */
class UpsertSmsTemplateModalForm extends React.Component<UpsertSmsTemplateModalFormProp> {
  render() {
    /** 提交方法 */
    const handleSubmit = (value: SMS.TemplateUpsertCmd) => {
      if (this.props.data) {
        value.id = this.props.data.id;
      }
      return upsertSmsTemplate(value).then(() => {
        message.success("操作成功!")
        this.props.callback();
        return true;
      }).catch((err) => {
        console.log(err)
        return false;
      });
    }
    return (
      <ModalForm<SMS.TemplateUpsertCmd>
        trigger={this.props.trigger}
        title="短信模版"
        onFinish={handleSubmit}
        initialValues={
          this.props.data
        }
      >
        <ProForm.Group >
          <ProFormText
            width="md"
            name="templateName"
            label="模版名称"
            rules={[
              {
                required: true,
                message: '请填写模版名称',
              },
            ]}
            placeholder="请填写模版名称"
            required
          />
          <ProFormText
            width="md"
            name="templateContent"
            label="模版内容"
            rules={[
              {
                required: true,
                message: '请填写模版内容',
              },
            ]}
            placeholder="请填写模版内容"
            required
          />
        </ProForm.Group>
      </ModalForm >
    );
  }
}
export default UpsertSmsTemplateModalForm;