// @ts-ignore
/* eslint-disable */
import { request } from 'umi';

/**
 * @author bianlanzhou
 * @since 2024-09-20
 * @desc 接出网关API
 */


/** 分页查询接出网关API */
export async function pageQueryEgressApi(params?: any, options?: { [key: string]: any }) {
    return request('/egress/api/page', {
        method: 'GET',
        params: {
            ...params,
        },
        ...(options || {}),
    });
}

/** 查询接出网关API */
export async function queryEgressApi(data?: any, options?: { [key: string]: any }) {
    return request('/egress/api/list', {
        method: 'GET',
        data: data,
        ...(options || {}),
    });
}


/** 保存接出API */
export async function saveEgressApi(data: UpsertApiModalFormItem, options?: { [key: string]: any }) {
    return request('/egress/api/upsert', {
        method: 'PUT',
        data: data,
        ...(options || {}),
    });
}

/** 分页查询接出网关API通道 */
export async function pageQueryEgressApiChannel(params?: any, options?: { [key: string]: any }) {
    return request('/egress/api/channel/page', {
        method: 'GET',
        params: { ...params },
        ...(options || {}),
    });
}


/** 助贷API对接 */
export async function loanApiIntegration(data: EGRESS.LoanApiIntegrationCmd, options?: { [key: string]: any }) {
    return request('/egress/api/loan/integration', {
        method: 'PUT',
        data: data,
        ...(options || {}),
    });
}

/** 查询接出API通道 */
export async function queryEgressApiChannel(params?: any, options?: { [key: string]: any }) {
    return request('/egress/api/channel/list', {
        method: 'GET',
        params: { ...params },
        ...(options || {}),
    });
}

/** 查询助贷API */
export async function queryApiLoan(params?: any, options?: { [key: string]: any }) {
    return request('/egress/api/loan', {
        method: 'GET',
        params: { ...params },
        ...(options || {}),
    });
}

/** 查询助贷API */
export async function deleteEgressApi(params?: any, options?: { [key: string]: any }) {
    return request('/egress/api', {
        method: 'DELETE',
        params: { ...params },
        ...(options || {}),
    });
}