
declare namespace EGRESS {

    /** API */
    type Api = {
        /** 主键 */
        id: string,
        /** API名称 */
        apiName: string,
        /** API类型 */
        apiType: string,

    }

    /** API通道数据项 */
    type ApiChannelItem = {
        /** ID */
        id: string,
        /** API ID */
        apiId: string,
        /** API名称 */
        apiName: string,
        /** 通道名称 */
        channelName: string,
        /** 通道对接方式 */
        integrationMode: string,
        /** 创建人 */
        createUsername: string,
        /** 创建时间 */
        gmtCreate: string,
        /**修改人 */
        modifyUsername: string,
        /** 修改时间 */
        gmtModify: string,
    }

    /** API通道http配置 */
    type ApiChannelHttpConfig = {
        /** 方法 */
        method: string,
        /** url */
        url: string,
        /** header */
        header?: any[],
        /** path路径 */
        path?: any[],
        /** query查询 */
        query?: any[],
        /** body */
        body?: string,
    }

    /** 助贷API信息 */
    type ApiLoan = {
        /** 是否撞库 */
        checkinto: boolean,
        /** 集成系统 */
        integrationSystem: string,
        /** 商户ID */
        merchantId: string,
    }

    /** 助贷API对接CMD */
    type LoanApiIntegrationCmd = {
        /** API ID */
        apiId: string,
        /** 助贷相关信息 */
        apiLoanInfo: ApiLoan,
        /** 撞库配置通道配置 */
        checkinto?: any,
        /** 申请通道配置 */
        apply?: any,
        // apply?: ApiChannelHttpConfig,
    }
}