// @ts-ignore
/* eslint-disable */
import { request } from 'umi';

/**
 * @author bianlanzhou
 * @since 2024-11-06
 * @desc sms 后端请求方法定义
 */

/** 分页查询短信签名 */
export async function pageQuerySmsSign(params: any, options?: { [key: string]: any }) {
    return request('/sms/sign/page', {
        method: 'GET',
        params: {
            ...params,
        },
        ...(options || {}),
    });
}

/** 查询短信签名 */
export async function querySmsSign(params?: any, options?: { [key: string]: any }) {
    return request('/sms/sign/list', {
        method: 'GET',
        params: {
            ...params,
        },
        ...(options || {}),
    });
}

/** 更新/插入短信签名 */
export async function upsertSmsSign(data: SMS.SignatureUpsertCmd, options?: { [key: string]: any }) {
    return request('/sms/sign/upsert', {
        method: 'POST',
        data: {
            ...data,
        },
        ...(options || {}),
    });
}

/** 分页查询短信模版 */
export async function pageQuerySmsTemplate(params: any, options?: { [key: string]: any }) {
    return request('/sms/template/page', {
        method: 'GET',
        params: {
            ...params,
        },
        ...(options || {}),
    });
}

/** 查询短信模版 */
export async function querySmsTemplate(params?: any, options?: { [key: string]: any }) {
    return request('/sms/template/list', {
        method: 'GET',
        params: {
            ...params,
        },
        ...(options || {}),
    });
}

/** 更新/插入短信模版 */
export async function upsertSmsTemplate(data: SMS.TemplateUpsertCmd, options?: { [key: string]: any }) {
    return request('/sms/template/upsert', {
        method: 'POST',
        data: {
            ...data,
        },
        ...(options || {}),
    });
}

/** 分页查询短信服务 */
export async function pageQuerySmsService(params: any, options?: { [key: string]: any }) {
    return request('/sms/service/page', {
        method: 'GET',
        params: {
            ...params,
        },
        ...(options || {}),
    });
}

/** 更新/插入短信服务 */
export async function upsertSmsService(data: SMS.ServiceUpsertCmd, options?: { [key: string]: any }) {
    return request('/sms/service/upsert', {
        method: 'POST',
        data: {
            ...data,
        },
        ...(options || {}),
    });
}

/** 分页查询短信平台 */
export async function pageQuerySmsPlatform(params: any, options?: { [key: string]: any }) {
    return request('/sms/platform/page', {
        method: 'GET',
        params: {
            ...params,
        },
        ...(options || {}),
    });
}

/** 查询短信平台 */
export async function querySmsPlatform(params?: any, options?: { [key: string]: any }) {
    return request('/sms/platform/list', {
        method: 'GET',
        params: {
            ...params,
        },
        ...(options || {}),
    });
}

/** 更新/插入短信平台 */
export async function upsertSmsPlatform(data: SMS.PlatformUpsertCmd, options?: { [key: string]: any }) {
    return request('/sms/platform/upsert', {
        method: 'POST',
        data: {
            ...data,
        },
        ...(options || {}),
    });
}

/** 分页查询短信通道 */
export async function pageQuerySmsChannel(params: any, options?: { [key: string]: any }) {
    return request('/sms/channel/page', {
        method: 'GET',
        params: {
            ...params,
        },
        ...(options || {}),
    });
}

/** 分页查询短信通道 */
export async function querySmsChannel(params: any, options?: { [key: string]: any }) {
    return request('/sms/channel/list', {
        method: 'GET',
        params: {
            ...params,
        },
        ...(options || {}),
    });
}

/** 更新/插入短信通道 */
export async function upsertSmsChannel(data: SMS.ChannelUpsertCmd, options?: { [key: string]: any }) {
    return request('/sms/channel/upsert', {
        method: 'POST',
        data: {
            ...data,
        },
        ...(options || {}),
    });
}



