/**
 * @author bianlanzhou
 * @since 2024-11-06
 * @desc 消息中心-短信-数据对象类型定义
 */

declare namespace SMS {
    /** 短信签名 */
    type Signature = {
        /** 主键 */
        id: string,
        /** 签名名称 */
        signatureName: string,
        /** 签名内容 */
        signatureContent: string,
        /** 创建人名称 */
        createUsername: string,
        /** 更新人名称 */
        modifyUsername: string,
        /** 状态 */
        status: string,
    }
    /** 短信签名upsert cmd */
    type SignatureUpsertCmd = {
        /** 主键 */
        id: string,
        /** 签名名称 */
        signatureName: string,
        /** 签名内容 */
        signatureContent: string,
    }
    /** 短信模版 */
    type Template = {
        /** 主键 */
        id: string,
        /** 签名名称 */
        templateName: string,
        /** 签名内容 */
        templateContent: string,
        /** 创建人名称 */
        createUsername: string,
        /** 更新人名称 */
        modifyUsername: string,
        /** 状态 */
        status: string,
        /** 版本 */
        version: string,
    }

    /** 短信模版upsert cmd */
    type TemplateUpsertCmd = {
        /** 主键 */
        id: string,
        /** 签名名称 */
        templateName: string,
        /** 签名内容 */
        templateContent: string,
    }

    /** 短信服务 */
    type Service = {
        /** 主键 */
        id: string,
        /** 短信服务名称 */
        templateName: string,
        /** 服务编码 */
        templateCode: string,
        /** 创建人名称 */
        createUsername: string,
        /** 更新人名称 */
        modifyUsername: string,
        /** 状态 */
        status: string,
    }

    /** 短信服务upsert cmd */
    type ServiceUpsertCmd = {
        /** 主键 */
        id: string,
        /** 服务名称 */
        serviceName: string,
        /** api id */
        apiId: string,
        /** 通道编码 */
        channelCode: string,
        /** 签名ID */
        signatureId: string,
        /** 模版ID */
        templateId: string,
    }


    /** 短信平台 */
    type Platform = {
        /** 主键 */
        id: string,
        /** 平台名称 */
        platformName: string,
        /** 创建人名称 */
        createUsername: string,
        /** 创建时间 */
        gmtCreate: string,
        /** 更新人名称 */
        modifyUsername: string,
        /** 修改时间 */
        gmtModify: string,
        /** 状态 */
        status: string,
    }

    /** 短信平台upsert cmd */
    type PlatformUpsertCmd = {
        /** 主键 */
        id: string,
        /** 平台名称 */
        platformName: string,
    }


    /** 短信通道 */
    type Channel = {
        /** 主键 */
        id: string,
        /** 平台ID */
        platformId: string,
        /** 关联API ID */
        apiId: string,
        /** 通道名称 */
        channelName: string,
        /** 创建人名称 */
        createUsername: string,
        /** 创建时间 */
        gmtCreate: string,
        /** 更新人名称 */
        modifyUsername: string,
        /** 修改时间 */
        gmtModify: string,
        /** 状态 */
        status: string,
    }

    /** 短信通道 upsert cmd */
    type ChannelUpsertCmd = {
        /** 主键 */
        id: string,
        /** 通道名称 */
        channelName: string,
        /** api通道ID */
        apiChannelId: string,
        /** 短信平台ID */
        platformId: string,
    }

}